options ={

{
	default = 1,
	label = "Audio lines",
	help = "Audio lines disabled/enabled.",
	key = 'optional_replicas',
	pref = 'optional_replicas',
	values = {
		{ text = "disabled", help = "No Audio lines.", key = 1, },
		{ text = "enabled", help = "Yes Audio lines.", key = 2, },
	},
},

{
	default = 1,
	label = "Reaction to ACU death",
	help = "HA-HA-ha-HA.",
	key = 'optional_XAXAXA',
	pref = 'optional_XAXAXA',
	values = {
		{ text = "disabled", help = "No HA-HA.", key = 1, },
		{ text = "enabled", help = "Yes HA-HA.", key = 2, },
	},
},

{
    default = 5,
    label = "Natural Reclaim Values",
    help = "Change mass & energy values of rock & tree props.",
    key = 'naturalReclaimModifier',
    pref = 'naturalReclaimModifier',
    values = {
        { text =  "300 percent", help = "Mass & energy values are 3 times higher.", key = 3, },
        { text =  "200 percent", help = "Mass & energy values are 2 times higher.", key = 2, },
        { text =  "150 percent", help = "Mass & energy values are 1.5 times higher.", key = 1.5, },
        { text =  "125 percent", help = "Mass & energy values are 1.25 times higher.", key = 1.25, },
        { text =  "100 percent", help = "Don't change the mass & energy values.", key = 1, },
        { text =  "75 percent", help = "Mass & energy values are 0.75 times lower.", key = 0.75, },
        { text =  "50 percent", help = "Mass & energy values are 0.5 times lower.", key = 0.5, },
        { text =  "25 percent", help = "Mass & energy values are 0.25 times lower.", key = 0.25, },
        { text =  "0 percent", help = "Remove Mass & energy values from rock & tree props.", key = 0, },
    },
},

{
    default = 1,
    label = "Dynamic Spawn Of Resources",
    help = "Determine which mexes & hydros should be spawned.",
    key = 'dynamic_spawn',
    pref = 'dynamic_spawn',
    values = {
        { text = "mirror slots", help = "Spawn resources for player & mirror slot (balanced resources).", key = 1, },
        { text = "used slots", help = "Only spawn resources for player on used slots (unbalanced resources).", key = 2, },
        { text = "no mirror = no resources", help = "Only spawn resources if mirror slot is also occupied by a player (not recommended, but it can make uneven matches fairer).", key = 3, },
    },
},

{
    default = 1,
    label = "Middle Mexes",
    help = "Configure the amount of mexes at the middle of the map.",
    key = 'middle_mexes',
    pref = 'middle_mexes',
    values = {
        { text = "disabled", help = "No additional mexes in the middle.", key = 1, },
        { text = "enabled", help = "Spawn 4 mexes in the middle.", key = 2, },
    },
},

{
    default = 1,
    label = "Underwater Mexes",
    help = "Configure the amount of underwater mexes.",
    key = 'underwater_mexes',
    pref = 'underwater_mexes',
    values = {
        { text = "disabled", help = "No additional underwater mexes.", key = 1, },
        { text = "enabled", help = "Spawn 4 mexes in the water around the islands.", key = 2, },
    },
},

{
    default = 1,
    label = "Additional plateau mex",
    help = "Configure the amount of mexes at the sides of the map.",
    key = 'side_mexes',
    pref = 'side_mexes',
    values = {
        { text = "disabled", help = "Spawn no additional mexes on the side.", key = 1, },
		{ text = "enabled - 2/4", help = "Spawn 1 additional mexes.", key = 2, },
        { text = "enabled - 4/4", help = "Spawn 2 additional mexes.", key = 3, },
    },
},

--[[

{
	default = 2,
	label = "Wreckage",
	help = "Scale amount of unit wrecks.",
	key = 'optional_wreckage',
	pref = 'optional_wreckage',
	values = {
		{ text = "disabled", help = "No wrecks.", key = 1, },
		{ text = " T2 destro ECO", help = "Add T2 destro ECO.", key = 2, },
	},
},

{
    default = 1,
    label = "Expand Map Area",
    help = "Determines how long the playable area is restricted to the area without islands. This option is takes only affect when no island spots are taken (spots 13,14).",
    key = 'expand_map',
    pref = 'expand_map',
    values = {
        { text = "no expansion", help = "Map stays restricted to the middle region.", key = 1, },
        { text = "start expanded", help = "Map starts fully expanded.", key = 2, },
        { text = "5 min", help = "Expansion after 5 minutes.", key = 3, },
        { text = "10 min", help = "Expansion after 10 minutes.", key = 4, },
        { text = "15 min", help = "Expansion after 15 minutes.", key = 5, },
        { text = "20 min", help = "Expansion after 20 minutes.", key = 6, },
        { text = "80 percent of mexes", help = "Expansion when 80 percent of the mexes are build.", key = 7, },
        { text = "90 percent of mexes", help = "Expansion when 90 percent of the mexes are build.", key = 8, },
    },
},]]--


--[[
{
    default = 1,
    label = "additional hydros",
    help = "additional hydros in the oceans.",
    key = 'hydroplus',
    pref = 'hydroplus',
    values = {
        { text = "disabled", help = "Only spawn a hydro for the players.", key = 1, },
        { text = "enabled", help = "Also spawn a hydro on the bottom of the ocean.", key = 2, },
    },
},

{
    default = 1,
    label = "forward crazyrush mex",
    help = "makes a few mexes behave like crazyrush mexes.",
    key = 'dupicatesinglemex',
    pref = 'dupicatesinglemex',
    values = {
        { text = "disabled", help = "All mexes behave normally.", key = 1, },
        { text = "enabled", help = "Some expansion mex split into multiple mexes.", key = 2, },
    },
},


{
    default = 3,
    label = "number sidemex",
    help = "configure the amount of mexes on the sides of the map (behind the rock position).",
    key = 'sidemex',
    pref = 'sidemex',
    values = {
        { text = "enabled - more mex", help = "Spawn 2 additional mexes on each side near the small lake.", key = 1, },
        { text = "enabled", help = "Spawn 1 additional mexes on each side near the small lake.", key = 2, },
        { text = "disabled", help = "Spawn no additional mexes on the side.", key = 3, },
    },
},

{
    default = 1,
    label = "number islandmex",
    help = "configure the amount of mexes on the islands of the map.",
    key = 'islandmex',
    pref = 'islandmex',
    values = {
        { text = "enabled - 5 mex", help = "Spawn 5 mexes on the island.", key = 1, },
        { text = "enabled - 4 mex", help = "Spawn 4 mexes on the island.", key = 2, },
        { text = "enabled - 3 mex", help = "Spawn 3 mexes on the island.", key = 3, },
        { text = "enabled - 2 mex", help = "Spawn 2 mexes on the island.", key = 4, },
        { text = "enabled - 1 mex", help = "Spawn 1 mexes on the island.", key = 5, },
    },
},

{
    default = 1,
    label = "airplayer expansion mex",
    help = "configure the amount of mexes on the expansion of the air player.",
    key = 'backmex',
    pref = 'backmex',
    values = {
        { text = "enabled - 3 mex", help = "Spawn 3 mexes in the central region of the landmass between the front and air position.", key = 1, },
        { text = "enabled - 2 mex", help = "Spawn 2 mexes in the central region of the landmass between the front and air position.", key = 2, },
        { text = "enabled - 1 mex", help = "Spawn 1 mex in the central region of the landmass between the front and air position.", key = 3, },
        { text = "disabled", help = "Spawn no mexes in the central region of the landmass between the front and air position.", key = 4, },
    },
},

{
    default = 5,
    label = "additional underwatermex",
    help = "additional sidemex in both oceans.",
    key = 'underwatermex',
    pref = 'underwatermex',
    values = {
        { text = "enabled - much more mex", help = "Spawn 11 additional mexes in the water around the islands.", key = 1, },
        { text = "enabled - more mex", help = "Spawn 8 additional mexes in the water around the islands.", key = 2, },
        { text = "enabled", help = "Spawn 5 additional mexes in the water around the islands.", key = 3, },
        { text = "enabled - fewer mex", help = "Spawn 2 additional mexes in the water around the islands.", key = 4, },
        { text = "disabled", help = "Spawn no additional mexes in the water around the islands.", key = 5, },
    },
},

{
    default = 2,
    label = "expand map area",
    help = "Determines how long the playable area is restricted to the area without islands. This option is takes only affect when no island spots are taken (spots 13,14).",
    key = 'expandmap',
    pref = 'expandmap',
    values = {
        { text = "no expansion", help = "Map stays restricted to the middle region.", key = 1, },
        { text = "start expanded", help = "Map starts fully expanded.", key = 2, },
        { text = "5 min", help = "Expansion after 5 minutes.", key = 3, },
        { text = "10 min", help = "Expansion after 10 minutes.", key = 4, },
        { text = "15 min", help = "Expansion after 5 minutes.", key = 5, },
        { text = "20 min", help = "Expansion after 10 minutes.", key = 6, },
        { text = "80 percent of mexes", help = "Expansion when 80 percent of the mexes are build.", key = 7, },
        { text = "90 percent of mexes", help = "Expansion when 90 percent of the mexes are build.", key = 8, },
    },
},

{
    default = 4,
    label = "reclaim - middle",
    help = "add wrecks to the middle of the map",
    key = 'optional_reclaim_middle',
    pref = 'optional_reclaim_middle',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim to the middle.", key = 1, },
        { text = "some reclaim", help = "Add a some t2 units to the middle of the map.", key = 2, },
        { text = "enabled", help = "Add a some t2 units and salem class destroyers to the middle of the map.", key = 3, },
        { text = "more reclaim", help = "Add a some t2 units, salem class destroyers and some t3 units to the middle of the map.", key = 4, },
        { text = "vanilla reclaim", help = "Add a some t2 units, t3 units, salem class destroyers and two experimentals to the middle of the map (like it is on the vanilla version of the map).", key = 5, },
        { text = "a lot of reclaim", help = "Add a some t2 units, t3 units, salem class destroyers and six experimentals to the middle of the map (like it is on the vanilla version of the map).", key = 6, },
    },
},

{
    default = 1,
    label = "reclaim - back",
    help = "add t2 pgen wrecks to the air rear air position of the map. The faction of these pgens is either UEF or Cybran depending on the player.",
    key = 'optional_reclaim_back',
    pref = 'optional_reclaim_back',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim to the back position.", key = 1, },
        { text = "one t2 pgen", help = "Add one t2 pgen wreck with the same faction as the air player to the back position.", key = 2, },
        { text = "two t2 pgens", help = "Add two t2 pgen wreck with the same faction as the air player to the back position.", key = 3, },
    },
},

{
    default = 1,
    label = "Civilian Base",
    help = "Spawn a civilian base in the middle.",
    key = 'optional_civilian_base',
    pref = 'optional_civilian_base',
    values = {        
        { text = "disabled", help = "Spawn no civilians on the side islands.", key = 1, },
        { text = "enabled - t1 defences", help = "Spawn a small civilian base with some t1 point defences on the side islands.", key = 2, },
        { text = "enabled - t2 defences", help = "Spawn a small civilian base with some t2 point defences on the side islands.", key = 3, },        
        { text = "enabled - arty/t3 defences", help = "Spawn a small civilian base with some t3 sams and some t2 artys on the side islands.", key = 4, },
    },
},

{
    default = 1,
    label = "additional reclaim",
    help = "add groups of wrecks to the map",
    key = 'optional_reclaim',
    pref = 'optional_reclaim',
    values = {
        { text = "no reclaim", help = "Do not add additional reclaim in the middle of the map", key = 1, },
        { text = "some reclaim", help = "Add some frigates to the beaches of the map.", key = 2, },
        { text = "more reclaim", help = "Add some destroyers to the map.", key = 3, },
        { text = "destro+frigates", help = "Add some frigates and destroyers to the map.", key = 4, },
    },
},

{
    default = 1,
    label = "reduce rock reclaim",
    help = "Reduces the amount of mass in rocks on the map on game launch.",
    key = 'removeRock',
    pref = 'removeRock',
    values = {
        { text = "disabled", help = "Rocks have the full mass value.", key = 1, },
        { text = "20 percent", help = "Removes 20 percent of the mass in rocks.", key = 2, },
        { text = "40 percent", help = "Removes 40 percent of the mass in rocks.", key = 3, },
        { text = "60 percent", help = "Removes 60 percent the mass in rocks.", key = 4, },
        { text = "80 percent", help = "Removes 80 percent the mass in rocks.", key = 5, },
    },
},

{
    default = 1,
    label = "additional mex",
    help = "Spawns one additional mex for each present player in the starting base.",
    key = 'additionalmex',
    pref = 'additionalmex',
    values = {
        { text = "disabled", help = "Spawn the usual ressources.", key = 1, },
        { text = "enabled", help = "Spawns one additional mex per player.", key = 2, },
    },
},

]]--

};
